Index: extensions/Subscribe_to_comments/language/it_IT/plugin.lang.php
===================================================================
--- extensions/Subscribe_to_comments/language/it_IT/plugin.lang.php	(revision 15376)
+++ extensions/Subscribe_to_comments/language/it_IT/plugin.lang.php	(revision 15641)
@@ -21,25 +21,14 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['Date'] = 'Data';
 $lang['Invalid email adress, your are not subscribed to comments.'] = 'Indirizzo mail errato, non sei sottoscritto ai commenti';
-$lang['Invalid email adress.'] = 'Indirizzo mail errato';
-$lang['Item'] = 'Oggetto';
-$lang['Manage my subscriptions to comments'] = 'Gestisci le mie sottoscrizioni ai commenti';
-$lang['Nothing to validate.'] = 'Niente da confermare.';
 $lang['Notify me of followup comments'] = 'Notificami sui commenti successivi';
-$lang['Only unsubscribe notifications for comments from:'] = 'Rimuovi la sottoscrizione delle notifiche solo per i commenti di:';
 $lang['Please check your email inbox to confirm your subscription.'] = 'Controlla la tua posta in arrivo per confermare la sottoscrizione';
 $lang['Return to item page'] = 'Ritorna alla pagina degli argomenti';
 $lang['Subscribe'] = 'Sottoscrivi';
-$lang['Subscribe without commenting'] = 'Sottoscrivi senza commentare';
 $lang['Subscriptions of'] = 'Sottoscrizione di';
 $lang['Successfully unsubscribed your email address from receiving notifications.'] = 'La sottoscrizione del tuo account email alle notifiche è stata disattivata con successo';
 $lang['Unsubscribe'] = 'Non sottoscrivere';
 $lang['Unsubscribe from all email notifications'] = 'Rimuovi la sottoscrizione da tutte le notifiche mail';
-$lang['Unsubscribe from email notification'] = 'Rimuovi la sottoscrizione delle notifiche mail';
-$lang['You are currently subscribed to comments.'] = 'La sottoscrizione ai commenti è attualmente attiva';
 $lang['You are not subscribed to any comment.'] = 'Non hai sottoscritto alcun commento';
-$lang['You have been added to the list of subscribers for this album.'] = 'Sei stato aggiunto alla lista delle sottoscrizioni per questo album';
-$lang['You have been added to the list of subscribers for this picture.'] = 'Sei stato aggiunto alla lista delle sottoscrizioni per questa immagine';
 $lang['Your subscribtion has been validated, thanks you.'] = 'La tua sottoscrizione è stata confermata, grazie.';
 ?>
Index: extensions/Subscribe_to_comments/language/lv_LV/index.php
===================================================================
--- extensions/Subscribe_to_comments/language/lv_LV/index.php	(revision 15376)
+++ extensions/Subscribe_to_comments/language/lv_LV/index.php	(revision 15641)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: extensions/Subscribe_to_comments/language/lv_LV/plugin.lang.php
===================================================================
--- extensions/Subscribe_to_comments/language/lv_LV/plugin.lang.php	(revision 15376)
+++ extensions/Subscribe_to_comments/language/lv_LV/plugin.lang.php	(revision 15641)
@@ -22,23 +22,12 @@
 // +-----------------------------------------------------------------------+
 $lang['Please check your email inbox to confirm your subscription.'] = 'Lūdzu pārbaudiet savu e-pastu, lai apstiprinātu savu pierakstu.';
-$lang['You have been added to the list of subscribers for this album.'] = 'Jūs esat pievienots šā albūma parakstītāju sarakstam.';
-$lang['You have been added to the list of subscribers for this picture.'] = 'Jūs esat pievienots šā foto parakstītāju sarakstam.';
 $lang['Invalid email adress, your are not subscribed to comments.'] = 'Nekorekta e-pasta adrese, jūs neesat pierakstījies komentāriem.';
 $lang['Successfully unsubscribed your email address from receiving notifications.'] = 'Jūsu e-pasta adrese sekmīgi izņemta no paziņojumu saņēmēju saraksta.';
-$lang['You are currently subscribed to comments.'] = 'Jūs patlaban esat pierakstījies komentāriem.';
 $lang['Unsubscribe'] = 'Atsacīties no pieraksta';
 $lang['Subscribe'] = 'Pierakstīties';
-$lang['Subscribe without commenting'] = 'Pierakstīties nekomentējot';
 $lang['Notify me of followup comments'] = 'Paziņot man par tekošajiem komentāriem';
-$lang['Invalid email adress.'] = 'Nekorekta e-pasta adrese.';
 $lang['Your subscribtion has been validated, thanks you.'] = 'Paldies. Jūsu pieraksts ir validēts.';
-$lang['Nothing to validate.'] = 'Nav ko validēt.';
 $lang['Subscriptions of'] = 'Pierakstīšanās';
-$lang['Unsubscribe from email notification'] = 'Atsacītiess no e-pasta paziņojumiem';
-$lang['Only unsubscribe notifications for comments from:'] = 'Atsacīties tikai no paziņojumiem par komentāriem no:';
 $lang['Unsubscribe from all email notifications'] = 'Atsacīties no visiem epasta paziņojumiem';
-$lang['Manage my subscriptions to comments'] = 'Pārvaldīt manus paziņojumus par komentāriem';
-$lang['Item'] = 'Vienums';
-$lang['Date'] = 'Datums';
 $lang['You are not subscribed to any comment.'] = 'Jūs neesat pierakstījies jebkādu komentāru veikšanai.';
 $lang['Return to item page'] = 'Atgriezties vienuma lapā';
Index: extensions/Subscribe_to_comments/language/nl_NL/index.php
===================================================================
--- extensions/Subscribe_to_comments/language/nl_NL/index.php	(revision 15641)
+++ extensions/Subscribe_to_comments/language/nl_NL/index.php	(revision 15641)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Subscribe_to_comments/language/nl_NL/plugin.lang.php
===================================================================
--- extensions/Subscribe_to_comments/language/nl_NL/plugin.lang.php	(revision 15376)
+++ extensions/Subscribe_to_comments/language/nl_NL/plugin.lang.php	(revision 15641)
@@ -21,25 +21,14 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['Date'] = 'datum';
 $lang['Invalid email adress, your are not subscribed to comments.'] = 'Ongeldig emailadres, je bent niet ingeschreven op commentaar.';
-$lang['Invalid email adress.'] = 'Ongeldig emailadres.';
-$lang['Item'] = 'item';
-$lang['Manage my subscriptions to comments'] = 'Beheer mijn inschrijvingen voor commentaar';
-$lang['Nothing to validate.'] = 'Niets om goed te keuren.';
 $lang['Notify me of followup comments'] = 'Notificeer mij over opvolgend commentaar';
-$lang['Only unsubscribe notifications for comments from:'] = 'Schrijf alleen uit van commentaar van:';
 $lang['Please check your email inbox to confirm your subscription.'] = 'Bekijk je inbox om je inschrijving te bevestigen.';
 $lang['Return to item page'] = 'Keer terug naar de itempagina';
-$lang['Subscribe without commenting'] = 'Inschrijven zonder commentaar te schrijven';
 $lang['Subscribe'] = 'Inschrijven';
 $lang['Subscriptions of'] = 'Inschrijvingen van';
 $lang['Successfully unsubscribed your email address from receiving notifications.'] = 'Je emailadres is uitgeschreven van het ontvangen van notificaties.';
 $lang['Unsubscribe from all email notifications'] = 'Schrijf uit van alle emailnotificaties';
-$lang['Unsubscribe from email notification'] = 'Schrijf uit van emailnotificatie';
 $lang['Unsubscribe'] = 'Uitschrijven';
-$lang['You are currently subscribed to comments.'] = 'Je bent nu ingeschreven op het commentaar.';
 $lang['You are not subscribed to any comment.'] = 'Je bent niet ingeschreven voor enig commentaar.';
-$lang['You have been added to the list of subscribers for this album.'] = 'Je bent toegevoegd aan de lijst van mensen die zich op dit album hebben ingeschreven.';
-$lang['You have been added to the list of subscribers for this picture.'] = 'Je bent toegevoegd aan de lijst van mensen die zich op deze afbeelding hebben ingescreven.';
 $lang['Your subscribtion has been validated, thanks you.'] = 'Je inschrijving is goedgekeurd, dank je.';
 ?>
Index: extensions/Subscribe_to_comments/language/pl_PL/index.php
===================================================================
--- extensions/Subscribe_to_comments/language/pl_PL/index.php	(revision 15641)
+++ extensions/Subscribe_to_comments/language/pl_PL/index.php	(revision 15641)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Subscribe_to_comments/language/pl_PL/plugin.lang.php
===================================================================
--- extensions/Subscribe_to_comments/language/pl_PL/plugin.lang.php	(revision 15376)
+++ extensions/Subscribe_to_comments/language/pl_PL/plugin.lang.php	(revision 15641)
@@ -21,25 +21,14 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
- $lang['Please check your email inbox to confirm your subscription.'] = 'Sprawdź skrzynką pocztową aby potwierdzić subskrypcje.';
- $lang['You have been added to the list of subscribers for this album.'] = 'Zostałeś dodany do listy subskrybentów tego albumu.';
- $lang['You have been added to the list of subscribers for this picture.'] = 'Zostałeś dodany do listy subskrybentów tego zdjęcia.';
- $lang['Invalid email adress, your are not subscribed to comments.'] = 'Niewłaściwy adres e-mail, nie zostałeś subskrybowany.';
- $lang['Successfully unsubscribed your email address from receiving notifications.'] = 'Usunąłeś ten adres e-mail z listy subskrybentów.';
- $lang['You are currently subscribed to comments.'] = 'Jesteś obecnie zasubskrybowany do komentarzy.';
- $lang['Unsubscribe'] = 'Nie subskrybuj';
- $lang['Subscribe'] = 'Subskrybuj';
- $lang['Subscribe without commenting'] = 'Subskrybuj bez komentowania.';
- $lang['Notify me of followup comments'] = 'Powiadamiaj o odpowiedziach.';
- $lang['Invalid email adress.'] = 'Nieprawidłowy adres e-mail.';
- $lang['Your subscribtion has been validated, thanks you.'] = 'Twoja subskrypcja została potwierdzona, dziękujemy.';
- $lang['Nothing to validate.'] = 'Nie ma czego potwierdzać.';
- $lang['Subscriptions of'] = 'Subskrypcje';
- $lang['Unsubscribe from email notification'] = 'Zakończ subskrypcję powiadomień e-mail';
- $lang['Only unsubscribe notifications for comments from:'] = 'Zakończ tylko subskrypcję powiadomień komentarzy od:';
- $lang['Unsubscribe from all email notifications'] = 'Zakończ subskrypcję wszystkich powiadomień';
- $lang['Manage my subscriptions to comments'] = 'Zarządzaj moimi subskrypcjami komentarzy';
- $lang['Item'] = 'Element';
- $lang['Date'] = 'Data';
- $lang['You are not subscribed to any comment.'] = 'Nie subskrybowałeś żadnych komentarzy.';
- $lang['Return to item page'] = 'Powróć do listy elementów'; 
+$lang['Please check your email inbox to confirm your subscription.'] = 'Sprawdź skrzynką pocztową aby potwierdzić subskrypcje.';
+$lang['Invalid email adress, your are not subscribed to comments.'] = 'Niewłaściwy adres e-mail, nie zostałeś subskrybowany.';
+$lang['Successfully unsubscribed your email address from receiving notifications.'] = 'Usunąłeś ten adres e-mail z listy subskrybentów.';
+$lang['Unsubscribe'] = 'Nie subskrybuj';
+$lang['Subscribe'] = 'Subskrybuj';
+$lang['Notify me of followup comments'] = 'Powiadamiaj o odpowiedziach.';
+$lang['Your subscribtion has been validated, thanks you.'] = 'Twoja subskrypcja została potwierdzona, dziękujemy.';
+$lang['Subscriptions of'] = 'Subskrypcje';
+$lang['Unsubscribe from all email notifications'] = 'Zakończ subskrypcję wszystkich powiadomień';
+$lang['You are not subscribed to any comment.'] = 'Nie subskrybowałeś żadnych komentarzy.';
+$lang['Return to item page'] = 'Powróć do listy elementów'; 
 ?>
Index: extensions/Subscribe_to_comments/language/pt_PT/index.php
===================================================================
--- extensions/Subscribe_to_comments/language/pt_PT/index.php	(revision 15641)
+++ extensions/Subscribe_to_comments/language/pt_PT/index.php	(revision 15641)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Subscribe_to_comments/language/pt_PT/plugin.lang.php
===================================================================
--- extensions/Subscribe_to_comments/language/pt_PT/plugin.lang.php	(revision 15376)
+++ extensions/Subscribe_to_comments/language/pt_PT/plugin.lang.php	(revision 15641)
@@ -21,25 +21,14 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['Date'] = 'Data';
 $lang['Invalid email adress, your are not subscribed to comments.'] = 'Endereço de correio electrónico inválido, não foi subscrito aos comentários.';
-$lang['Invalid email adress.'] = 'Endereço de correio electrónico inválido.';
-$lang['Item'] = 'Item';
-$lang['Manage my subscriptions to comments'] = 'Gerir as minhas subscrições de comentários';
-$lang['Nothing to validate.'] = 'Nada para validar.';
 $lang['Notify me of followup comments'] = 'Notifique-me de futuros comentários';
-$lang['Only unsubscribe notifications for comments from:'] = 'Apenas cancelar subscrição de comentários de:';
 $lang['Please check your email inbox to confirm your subscription.'] = 'Por favor consulte a sua caixa de correio electrónico para confirmar a sua subscrição.';
 $lang['Return to item page'] = 'Regressar à página do item';
-$lang['Subscribe without commenting'] = 'Subscrever sem comentar';
 $lang['Subscribe'] = 'Subscrever';
 $lang['Subscriptions of'] = 'Subscrições de';
 $lang['Successfully unsubscribed your email address from receiving notifications.'] = 'Cancelou a subscrição para receber notificações por correio electrónico.';
 $lang['Unsubscribe from all email notifications'] = 'Cancelar todas as notificações por correio electrónico';
-$lang['Unsubscribe from email notification'] = 'Cancelar subscrição de notificação por correio electrónico';
 $lang['Unsubscribe'] = 'Cancelar subscrição';
-$lang['You are currently subscribed to comments.'] = 'Está subscrito aos comentários.';
 $lang['You are not subscribed to any comment.'] = 'Não está subscrito a nenhum comentário.';
-$lang['You have been added to the list of subscribers for this album.'] = 'Foi adicionado à lista de subscritores deste álbum.';
-$lang['You have been added to the list of subscribers for this picture.'] = 'Foi adicionado à lista de subscritores desta foto.';
 $lang['Your subscribtion has been validated, thanks you.'] = 'A sua subscrição foi validada, obrigado.';
 ?>
Index: extensions/Subscribe_to_comments/language/ru_RU/index.php
===================================================================
--- extensions/Subscribe_to_comments/language/ru_RU/index.php	(revision 15641)
+++ extensions/Subscribe_to_comments/language/ru_RU/index.php	(revision 15641)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Subscribe_to_comments/language/ru_RU/plugin.lang.php
===================================================================
--- extensions/Subscribe_to_comments/language/ru_RU/plugin.lang.php	(revision 15376)
+++ extensions/Subscribe_to_comments/language/ru_RU/plugin.lang.php	(revision 15641)
@@ -22,24 +22,13 @@
 // +-----------------------------------------------------------------------+
 $lang['Please check your email inbox to confirm your subscription.'] = 'Пожалуйста, проверьте ваш электронный почтовый ящик, чтобы подтвердить подписку.';
-$lang['You have been added to the list of subscribers for this album.'] = 'Вы были добавлены в список абонентов для этого альбома.';
-$lang['Date'] = 'Дата';
 $lang['Invalid email adress, your are not subscribed to comments.'] = 'Неправильный электронный адрес, вы не подписаны на комментарии.';
-$lang['Invalid email adress.'] = 'Неправильный электронный адрес.';
-$lang['Item'] = 'Элемент';
-$lang['Manage my subscriptions to comments'] = 'Управление подпиской на комментарии';
-$lang['Nothing to validate.'] = 'Ничего нет для проверки.';
 $lang['Notify me of followup comments'] = 'Сообщите мне о новых комментариях';
-$lang['Only unsubscribe notifications for comments from:'] = 'Отказаться только от уведомлений о комментариях:';
 $lang['Return to item page'] = 'Вернуться к списку';
-$lang['Subscribe without commenting'] = 'Подписаться без комментариев';
 $lang['Subscribe'] = 'Подписаться';
 $lang['Subscriptions of'] = 'Подписки на';
 $lang['Successfully unsubscribed your email address from receiving notifications.'] = 'Вы успешно отписали Ваш адрес электронной почты и не получите больше уведомлений.';
 $lang['Unsubscribe from all email notifications'] = 'Отказаться от всех уведомлений по электронной почте';
-$lang['Unsubscribe from email notification'] = 'Отказаться от уведомлений по электронной почте';
 $lang['Unsubscribe'] = 'Отказаться от подписки';
-$lang['You are currently subscribed to comments.'] = 'Сейчас Вы подписаны на комментарии.';
 $lang['You are not subscribed to any comment.'] = 'Вы не подписаны на комментарии.';
-$lang['You have been added to the list of subscribers for this picture.'] = 'Вы были добавлены в список абонентов для этой фотографии.';
 $lang['Your subscribtion has been validated, thanks you.'] = 'Ваша подписка была подтверждена, спасибо.';
 ?>
Index: extensions/Subscribe_to_comments/language/sk_SK/index.php
===================================================================
--- extensions/Subscribe_to_comments/language/sk_SK/index.php	(revision 15376)
+++ extensions/Subscribe_to_comments/language/sk_SK/index.php	(revision 15641)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: extensions/Subscribe_to_comments/language/sk_SK/plugin.lang.php
===================================================================
--- extensions/Subscribe_to_comments/language/sk_SK/plugin.lang.php	(revision 15376)
+++ extensions/Subscribe_to_comments/language/sk_SK/plugin.lang.php	(revision 15641)
@@ -21,25 +21,13 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-
 $lang['Please check your email inbox to confirm your subscription.'] = 'Prosím skontrolujte si svoj mail na potvrdenie odberu.';
-$lang['You have been added to the list of subscribers for this album.'] = 'Boli ste pridaný do zoznamu odberov tohto albumu.';
-$lang['You have been added to the list of subscribers for this picture.'] = 'Boli ste pridaný do zoznamu odberov tejto fotky.';
 $lang['Invalid email adress, your are not subscribed to comments.'] = 'Neplatná emailová adresa, neboli ste zapísaný do odberu komentárov.';
 $lang['Successfully unsubscribed your email address from receiving notifications.'] = 'Úspešné odhlásenie Vašej emailovej adresy z prijímania upozornení.';
-$lang['You are currently subscribed to comments.'] = 'Práve ste zapísaný do odberu komentárov.';
 $lang['Unsubscribe'] = 'Odhlásiť';
 $lang['Subscribe'] = 'Prihlásiť';
-$lang['Subscribe without commenting'] = 'Prihlásiť bez komentovania';
 $lang['Notify me of followup comments'] = 'Upozorniť ma na nasledovné komentáre';
-$lang['Invalid email adress.'] = 'Neplatná emailová adresa.';
 $lang['Your subscribtion has been validated, thanks you.'] = 'Vaše prihlásenie bolo potvrdené, ďakujeme.';
-$lang['Nothing to validate.'] = 'Nepotvrdené.';
 $lang['Subscriptions of'] = 'Prihlásený';
-$lang['Unsubscribe from email notification'] = 'Odhlásiť z emailovej notifikácie';
-$lang['Only unsubscribe notifications for comments from:'] = 'Len odhlásenie notifikácií pre komentére z:';
 $lang['Unsubscribe from all email notifications'] = 'Odhlásenie zo všetkých emailových notofikácií';
-$lang['Manage my subscriptions to comments'] = 'Ovládanie mojich prihlásení na odber komentárov';
-$lang['Item'] = 'Položka';
-$lang['Date'] = 'Dátum';
 $lang['You are not subscribed to any comment.'] = 'Nie ste prihlásený na odber žiadneho komentára.';
 $lang['Return to item page'] = 'Návrat na stránku položiek';
Index: extensions/Subscribe_to_comments/language/uk_UA/index.php
===================================================================
--- extensions/Subscribe_to_comments/language/uk_UA/index.php	(revision 15641)
+++ extensions/Subscribe_to_comments/language/uk_UA/index.php	(revision 15641)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Subscribe_to_comments/language/uk_UA/plugin.lang.php
===================================================================
--- extensions/Subscribe_to_comments/language/uk_UA/plugin.lang.php	(revision 15376)
+++ extensions/Subscribe_to_comments/language/uk_UA/plugin.lang.php	(revision 15641)
@@ -21,25 +21,14 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['Date'] = 'Дата';
 $lang['Invalid email adress, your are not subscribed to comments.'] = 'Невірна електронна адреса, Ви не підписані на коментарі.';
-$lang['Invalid email adress.'] = 'Недійсна адреса електронної пошти.';
-$lang['Item'] = 'Елемент';
-$lang['Manage my subscriptions to comments'] = 'Управління моєю підпискою на коментарі';
-$lang['Nothing to validate.'] = 'Нічого для підтвердження.';
 $lang['Notify me of followup comments'] = 'Повідомити мене про нові коментарі';
-$lang['Only unsubscribe notifications for comments from:'] = 'Лише відписатись від сповіщення про коментарі від:';
 $lang['Please check your email inbox to confirm your subscription.'] = 'Будь ласка, перевірте вашу поштову скриньку, щоб підтвердити підписку.';
 $lang['Return to item page'] = 'Повернутися на сторінку елемента';
 $lang['Subscribe'] = 'Підписатися';
-$lang['Subscribe without commenting'] = 'Підписатися не коментуючи';
 $lang['Subscriptions of'] = 'Підписка на';
 $lang['Successfully unsubscribed your email address from receiving notifications.'] = 'Ви успішно відписалися від отримання сповіщень.';
 $lang['Unsubscribe'] = 'Відписатися від підписки';
 $lang['Unsubscribe from all email notifications'] = 'Відписатись від усіх повідомлень по електронній пошті';
-$lang['Unsubscribe from email notification'] = 'Відписатись від повідомлень по електронній пошті';
-$lang['You are currently subscribed to comments.'] = 'Ви підписані на коментарі.';
 $lang['You are not subscribed to any comment.'] = 'Ви не підписані на жоден коментар.';
-$lang['You have been added to the list of subscribers for this album.'] = 'Ви були додані до списку передплатників для цього альбому.';
-$lang['You have been added to the list of subscribers for this picture.'] = 'Ви були додані до списку передплатників для цього зображення.';
 $lang['Your subscribtion has been validated, thanks you.'] = 'Ваша підписка була підтверджена, спасибі вам.';
 ?>
Index: extensions/Subscribe_to_comments/main.inc.php
===================================================================
--- extensions/Subscribe_to_comments/main.inc.php	(revision 15376)
+++ extensions/Subscribe_to_comments/main.inc.php	(revision 15641)
@@ -3,5 +3,5 @@
 Plugin Name: Subscribe To Comments
 Version: auto
-Description: This plugin allows you to subscribe to comments by email.
+Description: This plugin allows to subscribe to comments by email.
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=587
 Author: Mistic
@@ -13,6 +13,5 @@
 global $prefixeTable;
 
-define('SUBSCRIBE_TO_DIR' , basename(dirname(__FILE__)));
-define('SUBSCRIBE_TO_PATH' , PHPWG_PLUGINS_PATH . SUBSCRIBE_TO_DIR . '/');
+define('SUBSCRIBE_TO_PATH' , PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');
 define('SUBSCRIBE_TO_TABLE', $prefixeTable . 'subscribe_to_comments');
 
@@ -21,8 +20,14 @@
 function stc_init()
 {
+  global $conf, $user;
+  
+  // no comments on luciano
+  if ($user['theme'] == 'luciano') return;
+  
+  load_language('plugin.lang', SUBSCRIBE_TO_PATH);
+  $conf['Subscribe_to_Comments'] = unserialize($conf['Subscribe_to_Comments']);
+  
   include_once(SUBSCRIBE_TO_PATH.'include/functions.inc.php');
   include_once(SUBSCRIBE_TO_PATH.'include/subscribe_to_comments.inc.php');
-
-  load_language('plugin.lang', SUBSCRIBE_TO_PATH);
 
   // send mails
@@ -32,12 +37,24 @@
   // subscribe
   add_event_handler('loc_end_picture', 'stc_on_picture');
-  add_event_handler('loc_begin_index', 'stc_on_album');
+  add_event_handler('loc_begin_coa', 'stc_on_album');
 
   // management
   add_event_handler('loc_end_section_init', 'stc_detect_section');
-  add_event_handler('loc_end_index', 'stc_load_section');
+  add_event_handler('loc_begin_page_header', 'stc_load_section');
 
   // profile link
   add_event_handler('loc_begin_profile', 'stc_profile_link');
+  
+  // config page
+  add_event_handler('get_admin_plugin_menu_links', 'stc_admin_menu');
+}
+
+function stc_admin_menu($menu) 
+{
+  array_push($menu, array(
+    'NAME' => 'Subscribe to Comments',
+    'URL' => get_root_url().'admin.php?page=plugin-' . basename(dirname(__FILE__))
+  ));
+  return $menu;
 }
 ?>
